Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xalan.xpath.xml
Class FormatterToDOM

    java.lang.Object
      |
      +--org.xml.sax.helpers.ParserAdapter
            |
            +--weblogic.apache.xalan.xpath.xml.FormatterToDOM

Deprecated. This compatibility layer will be removed in later releases.

public class FormatterToDOM
extends org.xml.sax.helpers.ParserAdapter

This class takes SAX events (in addition to some extra events that SAX doesn't handle yet) and adds the result to a document or document fragment.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Constructor Summary
`FormatterToDOM(org.w3c.dom.Document doc)` Deprecated. FormatterToDOM instance constructor...
`FormatterToDOM(org.w3c.dom.Document doc, org.w3c.dom.DocumentFragment docFrag)` Deprecated. FormatterToDOM instance constructor...
`FormatterToDOM(org.w3c.dom.Document doc, org.w3c.dom.Element elem)` Deprecated. FormatterToDOM instance constructor...

Method Summary
`SerializerToXML` | `getSerializerObject()` Deprecated.

Methods inherited from class org.xml.sax.helpers.ParserAdapter
`characters, endDocument, endElement, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getProperty, ignorableWhitespace, parse, parse, processingInstruction, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setProperty, startDocument, startElement`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FormatterToDOM

    public FormatterToDOM(org.w3c.dom.Document doc,
                          org.w3c.dom.Element elem)
                   throws org.xml.sax.SAXException

  Deprecated.
  FormatterToDOM instance constructor... it will add the DOM nodes to the document fragment.

### FormatterToDOM

    public FormatterToDOM(org.w3c.dom.Document doc,
                          org.w3c.dom.DocumentFragment docFrag)
                   throws org.xml.sax.SAXException

  Deprecated.
  FormatterToDOM instance constructor... it will add the DOM nodes to the document fragment.

### FormatterToDOM

    public FormatterToDOM(org.w3c.dom.Document doc)
                   throws org.xml.sax.SAXException

  Deprecated.
  FormatterToDOM instance constructor... it will add the DOM nodes to the document.

Method Detail

### getSerializerObject

    public SerializerToXML getSerializerObject()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference